# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.IncludeScript

Packages that use IncludeScript
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of IncludeScript in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IncludeScript
Modifier and Type
Method
Description
`static IncludeScript`
StructureFactory.`createIncludeScript()`
Creates an empty include script structure.
Methods in org.eclipse.birt.report.model.api with parameters of type IncludeScript
Modifier and Type
Method
Description
`final void`
ModuleHandleImpl.`addIncludeScript(IncludeScript includeScript)`
Adds include script.
`final void`
ModuleHandleImpl.`dropIncludeScript(IncludeScript includeScript)`
Removes the given included script.